import { __require as i } from "./jsx.mjs";
import { __require as l } from "./typescript.mjs";
var s, u;
function c() {
  if (u)
    return s;
  u = 1;
  var n = i(), p = l();
  s = t, t.displayName = "tsx", t.aliases = [];
  function t(a) {
    a.register(n), a.register(p), function(e) {
      var g = e.util.clone(e.languages.typescript);
      e.languages.tsx = e.languages.extend("jsx", g), delete e.languages.tsx.parameter, delete e.languages.tsx["literal-property"];
      var r = e.languages.tsx.tag;
      r.pattern = RegExp(/(^|[^\w$]|(?=<\/))/.source + "(?:" + r.pattern.source + ")", r.pattern.flags), r.lookbehind = !0;
    }(a);
  }
  return s;
}
export {
  c as __require
};
